# == Class: multipathd::params
class multipathd::params {
  $service_name        = 'multipathd'
  $service_ensure      = 'running'
  $service_enable      = true
  $service_package     = 'device-mapper-multipath'
  $package_ensure      = 'present'
  $service_configfile  = '/etc/multipath.conf'
  $polling_interval    = 5
  $find_multipaths     = 'yes'
  $reassign_maps       = 'yes'
  $path_selector       = '"round-robin 0"'
  $failback            = 'immediate'
  $user_friendly_names = 'yes'
  $flush_on_last_del   = 'yes'
  $fast_io_fail_tmo    = 5
  $dev_loss_tmo        = 30
  $max_fds             = 4096
  $detect_prio         = 'no'
  $no_path_retry       = 'fail'
  $device_all_devs     = 'yes'
  $bindings_file       = '/etc/multipath/bindings'
  $paths               = undef
  $blacklist           = undef
}
